Name:           libva-vdpau-driver
Version:        0.7.4
Release:        101%{?dist}
Summary:        HW video decode support for VDPAU platforms
License:        GPLv2+
URL:            http://cgit.freedesktop.org/vaapi/vdpau-driver
Source0:        http://www.freedesktop.org/software/vaapi/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:         %{name}-0.7.4-glext-85.patch
Patch1:         %{name}-0.7.4-drop-h264-api.patch
Patch2:         %{name}-0.7.4-fix_type.patch
# Reported in https://bugs.freedesktop.org/58836 and http://bugs.debian.org/748294
Patch3:         sigfpe-crash.patch
#chromium-vaapi specific patches 
Patch4:		implement-vaquerysurfaceattributes.patch        

#BuildRequires: libtool
BuildRequires:  libva-devel
BuildRequires:  libvdpau-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  gcc, gcc-c++

Requires:       mesa-dri-filesystem

%description
VDPAU Backend for Video Acceleration (VA) API.

%prep
%setup -q
%patch0 -p1
%if 0%{?fedora} >= 20 || 0%{?rhel} >= 7
%patch1 -p1
%endif
%patch2 -p1 -b .fix_type
%patch3 -p1 -b .sigfpe
%patch4 -p1 -b .vaquery

%build
%configure \
  --disable-silent-rules \
  --enable-glx

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -delete


%files
%doc AUTHORS COPYING NEWS README
%{_libdir}/dri/*.so

%changelog
* Sat Oct 13 2018 Akarshan Biswas <akarshan.biswas@hotmail.com> - 0.7.4-101
- Initial build
- Add compiler dependencies
